<?php
/*
  ===============================================================

  inGenio X
  http://ingenio.area421.com

  Created by 
  Julian Moreno Hidalgo (Software developer)
  Jesus Moreno Hidalgo (Communication's tree)

  inGenio X is a free software licensed under CC-GNU GPL

  ===============================================================
*/
	if (!defined("IGNX")) { die("Attempt..."); }

/***********************************************
Funcion para generar el nombre de la categoria de items

* Se usa en administrador y add item

************************************************/

function todas_categorias($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".CATEGORIAS." WHERE catID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[core.funciones_ct=1]");
	$nom_cat = array();
	while ($row = myfetch($q))
	{
					
			$row["nivel"] = $nivel;
			$nom_cat[] = $row;
			
			// subcategorias
			$nom_sub = todas_categorias($row["catID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				$nom_cat[] = $nom_sub[$n];
			}
	
	}
	return $nom_cat;

}

/***********************************************
Funcion para generar el nombre de la categoria privada de items

* Se usa en administrador

************************************************/

function todas_categorias_priv($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".CATEGORIAS_PRIV." WHERE catprivID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[core.funciones_ct=2]");
	$nom_catp = array();
	while ($row = myfetch($q))
	{
					
			$row["nivel"] = $nivel;
			$nom_catp[] = $row;
			
			// subcategorias privadas
			$nom_sub = todas_categorias_priv($row["catprivID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				$nom_catp[] = $nom_sub[$n];
			}
	
	}
	return $nom_catp;

}

/***********************************************
Funcion para generar el nombre del canal

* Se usa en administrador

************************************************/

function todos_canales($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".CANALES." WHERE canID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[core.funciones_ct=3]");
	$nom_can = array();
	while ($row = myfetch($q))
	{
					
			$row["nivel"] = $nivel;
			$nom_can[] = $row;
			
			// subcanales
			$nom_sub = todos_canales($row["canID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				$nom_can[] = $nom_sub[$n];
			}
	
	}
	return $nom_can;

}

/***********************************************
Funcion para generar el nombre del catalogo de productos

* Se usa en administrador

************************************************/

function todos_catalogos($parent,$nivel)
{
	$q = myquery("SELECT * FROM ".TD_CATALOGOS." WHERE cataID<>0 AND parent='".$parent."' ORDER BY orden ASC, nombre, nombre_1, nombre_2, nombre_3, nombre_4, nombre_5","[core.funciones_ct=4]");
	$nom_cata = array();
	while ($row = myfetch($q))
	{
					
			$row["nivel"] = $nivel;
			$nom_cata[] = $row;
			
			// subcatalogos
			$nom_sub = todos_catalogos($row["cataID"],$nivel+1);
			for ($n=0; $n<count($nom_sub); $n++)
			{
				$nom_cata[] = $nom_sub[$n];
			}
	
	}
	return $nom_cata;

}

/*********************************************************
  * funcion para extraer las TAGS que hay instaladas 
  *
  * = retorna un array con todas las TAGS
  *   incluidas en todos los items
  *
/********************************************************/

function todasTAGS()
{
	$q = myquery("SELECT * FROM ".ITEMS." WHERE etiquetas !='' AND enabled=1 AND item_tipo=1 AND catID>0","[core.funciones_ct=5]");
	$tags = array();	
	while ($row = myfetch($q))
	{
		$row["etiquetas"] = trim($row["etiquetas"]);
		$salida = explode(",",$row["etiquetas"]);
			for ($c=0; $c < count($salida); $c++)
			{
				if ($salida[$c] != "")
				{
					$tags[] = trim($salida[$c]);
				}
			}
	}
	return $tags;	
}

/*********************************************************
  * funcion para extraer las TAGS nivel 2 que hay instaladas 
  *
  * = retorna un array con todas las TAGS nivel 2
  *   incluidas en todos los items
  *
/********************************************************/

function todasCIUDADES()
{
	$q = myquery("SELECT * FROM ".ITEMS." WHERE n5_ciudad !='' AND enabled=1 AND item_tipo=1 AND catID>0","[core.funciones_ct=6]");
	$salv = array();	
	while ($row = myfetch($q))
	{
		$row["n5_ciudad"] = trim($row["n5_ciudad"]);
		$salida = explode(",",$row["n5_ciudad"]);
			for ($c=0; $c < count($salida); $c++)
			{
				if ($salida[$c] != "")
				{
					$salv[] = trim($salida[$c]);
				}
			}
	}
	return $salv;	
}

/*********************************************************
  * funcion para extraer los TAGS nivel 3 que hay instaladas 
  *
  * = retorna un array con todas las TAGS nivel 3
  *   incluidas en todos los items
  *
/********************************************************/

function todosPAISES()
{
	$q = myquery("SELECT * FROM ".ITEMS." WHERE n5_pais !='' AND enabled=1 AND item_tipo=1 AND catID>0","[core.funciones_ct=7]");
	$salv = array();	
	while ($row = myfetch($q))
	{
		$row["n5_pais"] = trim($row["n5_pais"]);
		$salida = explode(",",$row["n5_pais"]);
			for ($c=0; $c < count($salida); $c++)
			{
				if ($salida[$c] != "")
				{
					$salv[] = trim($salida[$c]);
				}
			}
	}
	return $salv;	
}

/*********************************************************
  * funcion para extraer los grupos de configuracion que hay instalados 
  *
  * = retorna un array con todas los grupos
  *		para la salida en el listado del administrador
  *
/********************************************************/

function todosGRUPOS($tabla)
{
	if ($tabla == INGENIO) { $vid = "igID"; }
	if ($tabla == IDIOMAS) { $vid = "lenID"; }
	
	$q = myquery("SELECT * FROM ".$tabla." ORDER BY ".$vid." ASC","[core.funciones_ct=8]");
	$salv = array();	
	while ($row = myfetch($q))
	{
		
		if ($row["grupo"] != "")
		{
			
			$salv[] = $row["grupo"];
			
		}
		
	}
	return $salv;	
}

/*********************************************************
  * funcion para extraer las TAGS que hay instaladas en la tienda 
  *
  * = retorna un array con todas las TAGS
  *   incluidas en todos los items producto
  *
/********************************************************/

function todasTAGS_prd()
{
	$q = myquery("SELECT * FROM ".ITEMS." WHERE td_etiquetas !='' AND enabled=1 AND item_tipo=3 AND cataID>0","[core.funciones_ct=9]");
	$tags = array();	
	while ($row = myfetch($q))
	{
		$row["td_etiquetas"] = trim($row["td_etiquetas"]);
		$salida = explode(",",$row["td_etiquetas"]);
			for ($c=0; $c < count($salida); $c++)
			{
				if ($salida[$c] != "")
				{
					$tags[] = trim($salida[$c]);
				}
			}
	}
	return $tags;	
}

?>